﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text.Json.Serialization;

namespace PetCompanion.Models
{
    public class ActionGathered
    {
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        [Key]
        public int Id { get; set; }
        [ForeignKey("Pet")]
        public string PetId { get; set; }
        public string? Resource { get; set; }
        [ForeignKey("GameItem")]
        public int? ItemId { get; set; }
        public int Amount { get; set; }
        [JsonIgnore]
        public virtual Pet Pet { get; set; }
        public virtual GameItem? GameItem { get; set; }
    }
}